package it.unibo.tw.web.beans;


import it.unibo.tw.dao.ItemDTO;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class Cart implements Serializable {

	private static final long serialVersionUID = 1L;

	private Map<ItemDTO,Integer> items = new HashMap<ItemDTO,Integer>();

	public Set<ItemDTO> getItems() {
		return items.keySet();
	}

	public int get(ItemDTO item) {
		return items.get(item) == null ? 0 : items.get(item);
	}

	public void put(ItemDTO item, int qty) {
		items.put(item, qty);
	}
	
	public void empty() {
		this.items = new HashMap<ItemDTO,Integer>();
	}

}
