package it.unibo.tw.web.servlets;

import it.unibo.tw.dao.DAOFactory;
import it.unibo.tw.dao.OrderDAO;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class CheckoutServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	private OrderDAO getOrderDAO(HttpServletRequest req) {
		return DAOFactory
		.getDAOFactory(
			Integer.parseInt(
				super.getServletContext().getInitParameter("dao")
			)
		).getOrderDAO();
	}

	@Override
	public void doPost(HttpServletRequest req, HttpServletResponse resp)
	throws ServletException, IOException {
		
		String buyer = req.getParameter("buyer");
		String address = req.getParameter("address");
		String email = req.getParameter("email");
		

		if ( buyer == null || buyer.length() == 0 || address == null || address.length() == 0 || email == null || email.length() == 0 ) {
			// oppure
			resp.sendRedirect(req.getContextPath()+"/pages/checkout.jsp?buyer="+buyer+"&address="+address+"&email="+email);
			return;
		}
		else {

			
			throw new ServletException("Not yet implemented...");
			
			
			
		}
	}
	
}
