package it.unibo.tw.dao;


public class CreateEmptyTables {

	public static void main(String[] args) {
		
		DAOFactory daoFactory = DAOFactory.getDAOFactory( DAOFactory.HSQLDB );
		
		ItemDAO itemDAO = daoFactory.getItemDAO();
		try { itemDAO.dropTable(); }
		catch (Exception e) {
			// we ignore that: table might not exist, yet.
		}
		itemDAO.createTable();
		
		OrderDAO orderDAO = daoFactory.getOrderDAO();
		try { orderDAO.dropTable(); }
		catch (Exception e) {
			// we ignore that: table might not exist, yet.
		}
		orderDAO.createTable();

	}
}
