package it.unibo.tw.dao;

import java.util.List;

public interface ItemDAO {

	// --- CRUD -------------

	public Long create(ItemDTO item);

	public ItemDTO read(Long id);

	public boolean update(ItemDTO item);

	public boolean delete(Long id);

	// ----------------------------------

	public List<ItemDTO> find(String likename);

	// ----------------------------------

	public boolean createTable();

	public boolean dropTable();

}
