package it.unibo.tw.dao;

import java.io.Serializable;

public class ItemDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	// ---------------------------
	
	private Long id;
	String name;
	String description;
	double price;
	int availability;
	
	// --- constructor ----------
	
	public ItemDTO() {
	}

	// --- getters and setters --------------
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String desc) {
		this.description = desc;
	}
	public double getPrice() {
		return price;
	}
	public void setPrice(double price) {
		this.price = price;
	}

	public int getAvailability() {
		return availability;
	}

	public void setAvailability(int quantity) {
		this.availability = quantity;
	}

	// --- utilities ----------------------------
	
	@Override
	public boolean equals(Object o) {
		if ( ! ( o instanceof ItemDTO ) ) return false;
		ItemDTO i = (ItemDTO)o;
		return i.getName().equals(this.name);
	}
	
	@Override
	public int hashCode() {
		return this.name.hashCode();
	}

}
