package it.unibo.tw.dao;

import java.io.Serializable;

public class OrderItemDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	// ---------------------------
	
	private ItemDTO item;
	int quantity;
	
	// --- constructor ----------
	
	public OrderItemDTO() {
	}

	// --- getters and setters --------------

	public ItemDTO getItem() {
		return item;
	}

	public void setItemDTO(ItemDTO item) {
		this.item = item;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	
	// --- utilities ----------------------------
	
	@Override
	public boolean equals(Object o) {
		if ( ! ( o instanceof OrderItemDTO ) ) return false;
		OrderItemDTO i = (OrderItemDTO)o;
		return i.getItem().getId().equals(this.item.getId()) && i.getQuantity() == this.quantity;
	}
	
	@Override
	public int hashCode() {
		return (this.item.getId() + "|" + this.quantity).hashCode();
	}

}
