package it.unibo.tw.dao;

import java.util.List;


public interface OrderDAO {

	// --- CRUD -------------
	
	public Long create(OrderDTO order);

	public OrderDTO read(Long id);
	
	public boolean delete(Long id);
	
	// ----------------------------------

	public List<OrderDTO> find(String buyer);
	
	// ----------------------------------

	public boolean createTable();

	public boolean dropTable();

}
