<!-- pagina per la gestione di errori -->
<%@ page errorPage="../errors/failure.jsp"%>

<!-- accesso alla sessione -->
<%@ page session="true"%>

<!-- import di classi Java -->

<!-- librerie di terze parti -->
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 

<!-- librerie di tag presenti all'interno della web application -->
<%@ taglib tagdir="/WEB-INF/tags" prefix="mytags1" %>
<%@ taglib uri="http://www.unibo.it/tw/sample" prefix="mytags2" %> 

<html>
<head>
<meta name="Author" content="pisi79">
<title>Checkout JSP</title>
<link rel="stylesheet"
	href="<%=request.getContextPath()%>/styles/default.css" type="text/css" />
</head>

<body>

<%@ include file="../fragments/header.jsp"%>
<%@ include file="../fragments/menu.jsp"%>
<jsp:useBean id="cart" class="it.unibo.tw.web.beans.Cart"
	scope="session" /> 

<div id="main" class="clear">

Items in cart:<br />


<table class="formdata">
	<tr>
		<th style="width: 33%">Description</th>
		<th style="width: 33%">Price</th>
		<th style="width: 33%">Your order</th>
	</tr>
	<c:forEach items="${cart.items}" var="anItem">
		<mytags1:cartRow cart="${cart}" item="${anItem}" />
	</c:forEach>
	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
</table>
				<br/>
				<p>
				Total: <span style="font-size: x-large; color: red;">${mytags2:total(cart)} &#8364;</span>
				</p>
<br />

<%
String buyer = request.getParameter("buyer");
buyer = buyer == null ? "" : buyer;

String address = request.getParameter("address");
address = address == null ? "" : address;

String email = request.getParameter("email");
email = email == null ? "" : email;
%>

Shipment information (* = mandatory):<br />
<form action="checkout" method="post">
<table>
	<tr>
		<td><label>Buyer name (*)</label></td>
		<td><input type="text" name="buyer" value="<%= buyer %>"></td>
		<td><%= buyer.length() > 0 ? "" : "(mandatory)" %></td>
	</tr>
	<tr>
		<td><label>Buyer address (*)</label></td>
		<td><input type="text" name="address" value="<%= address %>"></td>
		<td><%= address.length() > 0 ? "" : "(mandatory)" %></td>
	</tr>
	<tr>
		<td><label>Email (*)</label></td>
		<td><input type="text" name="email" value="<%= email %>"></td>
		<td><%= email.length() > 0 ? "" : "(mandatory)" %></td>
	</tr>
</table>
<%
	String orderId = request.getParameter("orderId");
	if (orderId == null || orderId.equals("")) {
%> <input type="submit" name="Conferma" value="Confirm order" /> <%
 	} else {
// 		cart.empty();
 %>
<h3>Order n. <%=orderId%> has been accepted!</h3>
<%
	}
%>
</form>

</div>

<%@ include file="../fragments/footer.jsp"%>

</body>
</html>
